1
Vote

Roslyn referenced from 4.5

description

Hi

The roslyn libraries are part of .NET 4.6. When you don't have it installed, a project with your nuget doesn't build (at least not using msbuild on our build server). Please create a version without roslyn that's for 4.5 and one with it for 4.6

Thanks

Otherwise your library is perfect!

Jan S.

comments

oleg_s wrote May 14, 2016 at 2:07 PM

You are right. Roslyn should be moved into a 4.6 folder.

Done.

The latest package (v3.12.2.1) contains the changes.

The package contains the same binaries as v3.12.2.0 but packaged differently.

JanSlav wrote May 15, 2016 at 1:16 PM

Thanks, will try it out first thing!
Also btw the same applies to the C# files that you include to the projects. They're C# 6, but we're still on VS 2013 (hence .NET 4.5)

oleg_s wrote May 16, 2016 at 7:51 AM

Missed this one. Txs. Done. package (v3.12.3.0)